Lists associations in a given project and location.
HTTP request
GET https://networksecurity.googleapis.com/v1/{parent=projects/*/locations/*}/firewallEndpointAssociations
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource from which the firewall endpoint associations are listed. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. The server might return fewer items than requested. The maximum value is 1000; values above 1000 are coerced to 1000. If unspecified, the server picks an appropriate default. |
pageToken |
A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. Filtering results. |
orderBy |
Hint for how to order the results. |
Request body
The request body must be empty.
Response body
Message for response to listing associations.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"firewallEndpointAssociations": [
{
object ( |
| Fields | |
|---|---|
firewallEndpointAssociations[] |
The list of associations. |
nextPageToken |
A token that can be sent as |
unreachable[] |
Locations that could not be reached. The list of unreachable locations might expand in the future. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.